#ifndef __LPS331_H
#define __LPS331_H

#define LPS331_ADDR 0b10111010

void init_LPS331(void);
void read_LPS331(void);
void toggle_temp_type(void);
void toggle_pres_type(void);

// address
#define LPS331_WHO_AM_I          0x0F
#define LPS331_RES_CONF          0x10
#define LPS331_CTRL_REG1         0x20
#define LPS331_PRESS_POUT_XL_REH 0x28
#define LPS331_PRESS_OUT_L       0x29
#define LPS331_PRESS_OUT_H       0x2A
#define LPS331_TEMP_OUT_L        0x2B
#define LPS331_TEMP_OUT_H        0x2C

// status
#define LPS331_GOOD 0xBB
#define LPS25H_GOOD 0xBD

// multi read flag
#define LPS331_MULTI_READ 0b10000000

// CTRL_REG1
#define LPS3310_CTRL_REG1_PD       0b10000000
#define LPS3310_CTRL_REG1_ODR2     0b01000000
#define LPS3310_CTRL_REG1_ODR1     0b00100000
#define LPS3310_CTRL_REG1_ODR0     0b00010000
#define LPS3310_CTRL_REG1_DIFF_EN  0b00001000
#define LPS3310_CTRL_REG1_DBDU     0b00000100
#define LPS3310_CTRL_REG1_DELTA_EN 0b00000010
#define LPS3310_CTRL_REG1_SIM      0b00000001

// invert flag
#define LPS331_PRESS_INVERT 0x80
#define LPS331_TEMP_INVERT  0x80

// mmHD
#define mmHg(p) (0.75 * p)

// Fahrenheit
#define fahrenheit(f) (9 / 5 * f + 32.0)

// Kelvin
#define KELVIN 273.15

#endif
