#include <avr/io.h>
#include "port.h"

/* PORT
** IN :init input
** OUT:init output
** PU :init pullup
** PD :init pulldown 
** NC : OUT & PU
**
** PA0 OUT PD NIXIE1 anode
** PA1 OUT PD NIXIE2 anode
** PA2 OUT PD NIXIE3 anode
** PA3 OUT PD NIXIE4 anode
** PA4 OUT PD NIXIE5 anode
** PA5 OUT PD NIXIE6 anode
** PA6 OUT PD NIXIE7 anode
** PA7 OUT PD NIXIE8 anode
**
** PB0 OUT PD DS3234S CS  (SPI_SS)
** PB1 OUT PD DS3234S SCK (SPI_SCK) & ISP
** PB2 OUT PD DS3234S DIN (SPI_MOSI)
** PB3 IN  PD DS3234S DOUT(SPI_MISO)
** PB4 NC
** PB5 OUT PD Nixie R dot(PWM OC1A)
** PB6 OUT PD Nixie L dot(PWM OC1B)
** PB7 NC
**
** PC0 OUT PU K155ID1 A
** PC1 OUT PU K155ID1 B
** PC2 OUT PU K155ID1 C
** PC3 OUT PU K155ID1 D
** PC4 NC
** PC5 NC
** PC6 NC
** PC7 NC
**
** PD0 IN PD SCL(LPS331)
** PD1 IN PD SCK(LPS331)
** PD2 IN PD RXD(Xbee DOUT)
** PD3 IN PD TXD(Xbee DIN)
** PD4 NC
** PD5 NC
** PD6 NC
** PD7 NC
**
** PE0 PDI(ISP) & IN PD RXD (GPS TXD)
** PE1 PDO(ISP) & IN PD TXD (GPS RXD)
** PE2 OUT PD GPS SW
** PE3 NC
** PE4 IN PU INT4(GPS 1pps)
** PE5 NC
** PE6 NC
** PE7 IN PU INT7(DS3234S INT)
**
** PF0 IN  PU ENC A
** PF1 IN  PU ENC SW
** PF2 IN  PU ENC B
** PF3 OUT PD STATUS LED(RED)
** PF4 OUT PD STATUS LED(GREEN)
** PF5 OUT PD STATUS LED(BLUE)   Xbee uart TX
** PF6 OUT PD STATUS LED(YELLOW) Xbee uart RX
** PF7 IN  PD (ADC7)Light Sensor
**
** PG0 OUT PD GPS STATUS LED(BLUE)
** PG1 NC
** PG2 OUT PU HVPS SW(PD is enable)
** PG3 NC
** PG4 NC
*/

void init_port(void){
	DDRA  = 0b11111111;
	DDRB  = 0b11110111;
	DDRC  = 0b00001111;
	DDRD  = 0b11110000;
	DDRE  = 0b01101100;
	DDRF  = 0b01111000;
	DDRG  = 0b00011111;

	PORTA = 0b00000000;
	PORTB = 0b10010000;
	PORTC = 0b11111111;
	PORTD = 0b11110000;
	PORTE = 0b11111000;
	PORTF = 0b10000111;
	PORTG = 0b00011110;
}
